<?php

namespace Teknisa\MAN\Factories\Retail;

class Integracao extends BaseRepo {
    public function getJobName($idIntegracao) {
        $params = array(
            ":IDINTEGRACAO" => $idIntegracao
        );
        
        return $this->conn->fetchColumn(self::GET_JOB_NAME, $params, 0);
    }
    
    public function updateJobName($idIntegracao, $jobName) {
        $params = array(
            ":IDINTEGRACAO" => $idIntegracao,
            ":JOBNAME"      => $jobName,
        );
        
        return $this->conn->executeQuery(self::UPDATE_JOB_NAME, $params);
    }
    
    const GET_JOB_NAME = "
        SELECT JOBNAME
          FROM INTEGRACAO
         WHERE IDINTEGRACAO = :IDINTEGRACAO
    "; 
    
    const UPDATE_JOB_NAME = "
        UPDATE INTEGRACAO
           SET JOBNAME = :JOBNAME
         WHERE IDINTEGRACAO = :IDINTEGRACAO
    ";
}